> ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Send new FAST binary message to a specific player and return the ID of the sent message ## OpenAPI ````json POST /v{version}/Fast/player/{playerId}/binary { "openapi": "3.0.1", "info": { "title": "IXM Platform API 1.21", "description": "IXM Platform API", "contact": { "name": "Grassfish", "url": "https://grassfish.com", "email": "support@grassfish.com" }, "version": "1.21" }, "paths": { "/v{version}/Fast/player/{playerId}/binary": { "post": { "tags": [ "Fast" ], "summary": "Send new FAST binary message to a specific player and return the ID of the sent message", "operationId": "Fast_SendBinaryMessageToPlayer", "parameters": [ { "name": "playerId", "in": "path", "description": "Unique ID of the player", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "version", "in": "path", "description": "The requested API version", "required": true, "schema": { "type": "string" } } ], "requestBody": { "description": "Binary message", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/V1.Models.Fast.FastBinaryMessage" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "string", "format": "uuid" } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.ModelStateError" } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "403": { "description": "Access denied", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "500": { "description": "Unexpected error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } } }, "security": [ { "api_key": [] }, { "session_id": [] } ] } } }, "components": { "schemas": { "V1.Models.Fast.FastBinaryMessage": { "required": [ "Payload", "Topic" ], "type": "object", "properties": { "ArchiveDurationSeconds": { "maximum": 2147483647, "minimum": 0, "type": "integer", "description": "Archive duration in seconds of the message", "format": "int32", "example": 86400 }, "ClientRetryCount": { "maximum": 2147483647, "minimum": 0, "type": "integer", "description": "Client side retry count of the message", "format": "int32", "example": 5 }, "ClientRetryIntervalMs": { "maximum": 2147483647, "minimum": 0, "type": "integer", "description": "Client side retry interval in milliseconds of the message", "format": "int32", "example": 1000 }, "ClientTimeoutMs": { "maximum": 2147483647, "minimum": 0, "type": "integer", "description": "Client side timeout in milliseconds of the message", "format": "int32", "example": 30000 }, "LifetimeSeconds": { "maximum": 2147483647, "minimum": 10, "type": "integer", "description": "Message lifetimes in seconds of the message", "format": "int32", "example": 30 }, "Payload": { "type": "string", "description": "Binary payload of the message", "format": "byte" }, "Topic": { "type": "string", "description": "Topic of the message" }, "ValidCommitIdentifiers": { "type": "array", "items": { "type": "string" }, "description": "Valid commit identifiers of the message" } }, "description": "FAST binary message for player" }, "Common.Models.ModelStateError": { "type": "object", "properties": { "ValidationErrors": { "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string" } } } } }, "Common.Models.Error": { "type": "object", "properties": { "Id": { "type": "string" }, "Message": { "type": "string" }, "Type": { "type": "string" }, "Values": { "type": "object", "additionalProperties": { "type": "object" } } } } }, "securitySchemes": { "api_key": { "type": "apiKey", "description": "Api Key", "name": "X-ApiKey", "in": "header" }, "session_id": { "type": "apiKey", "description": "Session Id", "name": "X-Session-Id", "in": "header" } } } } ````